- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_wakeonlan – Send a magic Wake-on-LAN (WoL) broadcast packet

New in version 2.4.

- Synopsis
- Parameters
- Notes
- See Also
- Examples
- Status

## Synopsis

- The `win_wakeonlan` module sends magic Wake-on-LAN (WoL) broadcast packets.
- For non-Windows targets, use the wakeonlan module instead.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
broadcast string | Default: "255.255.255.255" | Network broadcast address to use for broadcasting magic Wake-on-LAN packet.
mac string / required |  | MAC address to send Wake-on-LAN broadcast packet for.
port integer | Default: 7 | UDP port to use for magic Wake-on-LAN packet.

## Notes

Note

- This module sends a magic packet, without knowing whether it worked. It always report a change.
- Only works if the target system was properly configured for Wake-on-LAN (in the BIOS and/or the OS).
- Some BIOSes have a different (configurable) Wake-on-LAN boot order (i.e. PXE first).

## See Also

See also

wakeonlan – Send a magic Wake-on-LAN (WoL) broadcast packet
  The official documentation on the wakeonlan module.

## Examples

    - name: Send a magic Wake-on-LAN packet to 00:00:5E:00:53:66
      win_wakeonlan:
        mac: 00:00:5E:00:53:66
        broadcast: 192.0.2.23

    - name: Send a magic Wake-On-LAN packet on port 9 to 00-00-5E-00-53-66
      win_wakeonlan:
        mac: 00-00-5E-00-53-66
        port: 9
      delegate_to: remote_system

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Dag Wieers (@dagwieers)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.